#pragma once
#include "olcUTIL_DataFile.h"

using namespace olc;

//Read a string array from the config.
utils::datafilestringdata operator ""_s(const char*key,std::size_t len);
//Read an int array from the config.
utils::datafileintdata operator ""_i(const char*key,std::size_t len);
//Read a float array from the config.
utils::datafilefloatdata operator ""_f(const char*key,std::size_t len);
//Read a double array from the config.
utils::datafiledoubledata operator ""_d(const char*key,std::size_t len);
//Read a string key from the config.
std::string operator ""_S(const char*key,std::size_t len);
//Read an integer key from the config.
int operator ""_I(const char*key,std::size_t len);
//Read a float key from the config.
float operator ""_F(const char*key,std::size_t len);
//Read a double key from the config.
double operator ""_D(const char*key,std::size_t len);

Pixel operator ""_Pixel(const char*key,std::size_t len);